      CHARACTER*(*) FUNCTION PASTE( STR1, STR2 )

!C CONCATENATES THE STRINGS STR1 AND STR2 REMOVING BLANKS IN BETWEEN
!C Writen by Jose M. Soler

      CHARACTER*(*) STR1, STR2
      DO 10 L = LEN( STR1 ), 1, -1
         IF (STR1(L:L) .NE. ' ') GOTO 20
   10 CONTINUE
   20 PASTE = STR1(1:L)//STR2
      END


      INTEGER FUNCTION LB ( STR1 )

!C RETURNS THE SIZE IF STRING STR1 WITH BLANKS REMOVED
!C Writen by P. Ordejon from Soler's paste.f

      CHARACTER*(*) STR1
      DO 10 L = LEN( STR1 ), 1, -1
         IF (STR1(L:L) .NE. ' ') GOTO 20
   10 CONTINUE
   20 LB = L
     END
